Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis.message
Class SOAPHandler

    java.lang.Object
      |
      +--org.xml.sax.helpers.DefaultHandler
            |
            +--org.apache.axis.message.SOAPHandler

All Implemented Interfaces:
  org.xml.sax.ContentHandler, org.xml.sax.DTDHandler, org.xml.sax.EntityResolver, org.xml.sax.ErrorHandler

Direct Known Subclasses:
  BodyBuilder, DeserializerImpl, EnvelopeBuilder, EnvelopeHandler, HeaderBuilder, RPCHandler, SOAPFaultBuilder

public class SOAPHandler
extends org.xml.sax.helpers.DefaultHandler

Field Summary
`MessageElement` | `myElement`

Constructor Summary
`SOAPHandler()`

Method Summary
`void` | `endElement(java.lang.String namespace, java.lang.String localName, DeserializationContext context)`
`MessageElement` | `makeNewElement(java.lang.String namespace, java.lang.String localName, java.lang.String prefix, org.xml.sax.Attributes attributes, DeserializationContext context)`
`void` | `onEndChild(java.lang.String namespace, java.lang.String localName, DeserializationContext context)`
`SOAPHandler` | `onStartChild(java.lang.String namespace, java.lang.String localName, java.lang.String prefix, org.xml.sax.Attributes attributes, DeserializationContext context)`
`void` | `startElement(java.lang.String namespace, java.lang.String localName, java.lang.String prefix, org.xml.sax.Attributes attributes, DeserializationContext context)`

Methods inherited from class org.xml.sax.helpers.DefaultHandler
`characters, endDocument, endElement, endPrefixMapping, error, fatalError, ignorableWhitespace, notationDecl, processingInstruction, resolveEntity, setDocumentLocator, skippedEntity, startDocument, startElement, startPrefixMapping, unparsedEntityDecl, warning`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### myElement

    public MessageElement myElement

Constructor Detail

### SOAPHandler

    public SOAPHandler()

Method Detail

### startElement

    public void startElement(java.lang.String namespace,
                             java.lang.String localName,
                             java.lang.String prefix,
                             org.xml.sax.Attributes attributes,
                             DeserializationContext context)
                      throws org.xml.sax.SAXException

### makeNewElement

    public MessageElement makeNewElement(java.lang.String namespace,
                                         java.lang.String localName,
                                         java.lang.String prefix,
                                         org.xml.sax.Attributes attributes,
                                         DeserializationContext context)

### endElement

    public void endElement(java.lang.String namespace,
                           java.lang.String localName,
                           DeserializationContext context)
                    throws org.xml.sax.SAXException

### onStartChild

    public SOAPHandler onStartChild(java.lang.String namespace,
                                    java.lang.String localName,
                                    java.lang.String prefix,
                                    org.xml.sax.Attributes attributes,
                                    DeserializationContext context)
                             throws org.xml.sax.SAXException

### onEndChild

    public void onEndChild(java.lang.String namespace,
                           java.lang.String localName,
                           DeserializationContext context)
                    throws org.xml.sax.SAXException

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 Apache XML Project. All Rights Reserved.